Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058744 - rhevm-log-collector garbles the tty when multiple hosts are gathered and ssh is called with the "-t" flag
Summary: rhevm-log-collector garbles the tty when multiple hosts are gathered and ssh ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-log-collector
Version: 3.3.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.3.1
Assignee: Sandro Bonazzola
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On: 1041749
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 13:18 UTC by rhev-integ
Modified: 2018-12-03 21:00 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when the rhevm-log-collector utility was run for multiple hypervisor hosts, it resulted in a garbled TTY and "stty sane" had to be run to recover the TTY. Now, the TTY is not garbled.
Clone Of: 1041749
Environment:
Last Closed: 2014-03-03 13:19:00 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 489813 None None None Never
Red Hat Product Errata RHBA-2014:0242 normal SHIPPED_LIVE rhevm-log-collector bug fix and enhancement update 2014-03-03 18:17:20 UTC
oVirt gerrit 23426 None None None Never
oVirt gerrit 23796 None None None Never
oVirt gerrit 23800 None None None Never

Comment 1 Sandro Bonazzola 2014-01-28 13:22:48 UTC
pushed to upstream 3.3 branch

Comment 2 Sandro Bonazzola 2014-01-28 13:46:24 UTC
Merged on upstream 3.3 branch

Comment 4 Jiri Belka 2014-02-04 13:01:40 UTC
ok, rhevm-log-collector-3.3.1-6.el6ev.noarch

terminal OK after getting info from 2 hosts.

Comment 5 Jiri Belka 2014-02-04 13:02:49 UTC
FYI my engine-log-collector was not putting '-t' in ssh commands, at least I haven't see it.

Comment 6 Sandro Bonazzola 2014-02-04 15:30:18 UTC
(In reply to Jiri Belka from comment #5)
> FYI my engine-log-collector was not putting '-t' in ssh commands, at least I
> haven't see it.

we solved using -n instead of -t.

Comment 8 errata-xmlrpc 2014-03-03 13:19:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0242.html


Note You need to log in before you can comment on or make changes to this bug.